module Day4.Part1 (
  isFullyOverlapping,
  countFullyOverlappingPairs
)
 where
   
import Day4.Shared
import Data.Ranged

isFullyOverlapping :: ElfPair -> Bool
isFullyOverlapping (a, b) = a `rangeEncloses` b || b `rangeEncloses` a

countFullyOverlappingPairs :: String -> Int
countFullyOverlappingPairs input = length $ filter isFullyOverlapping pairs
  where
    pairs = map elfPair $ lines input
